$kind: http-request
url: "{{sahara_local}}hr/employees/create"
method: POST
headers:
  - key: username
    value: textugapp
    disabled: true
  - key: apiKey
    value: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
    disabled: true
  - key: Content-Type
    value: multipart/form-data
  - key: Accept
    value: application/json
    disabled: true
body:
  type: formdata
  content:
    - type: text
      key: designation_id
      value: 2dd4bcf6-6457-42b9-8ff9-7eb5a6ee5447
    - type: text
      key: employee_code
      value: 0021AAAsas
    - type: text
      key: first_name
      value: Alozius
    - type: text
      key: last_name
      value: Gonza
    - type: text
      key: other_name
      value: ""
    - type: text
      key: email
      value: connectsoftltd@gmail.com
    - type: text
      key: password
      value: platin65
    - type: text
      key: phone
      value: "0774355562"
    - type: text
      key: gender
      value: male
    - type: text
      key: marital_status
      value: married
    - type: text
      key: date_of_birth
      value: 1990-01-01
    - type: text
      key: address
      value: kampala
    - type: text
      key: salutation
      value: mr
    - type: text
      key: state
      value: Central
    - type: text
      key: postal_code
      value: "256"
    - type: text
      key: country
      value: Uganda
    - type: text
      key: hire_date
      value: 2004-02-01
    - type: text
      key: supervisor_id
      value: "1"
    - type: file
      key: signature
      src: /C:/Users/user/Desktop/del/png-transparent-signature-signature-angle-text-monochrome-thumbnail.png
    - type: file
      key: profile_picture
      src: /C:/Users/user/Desktop/del/9ec2a812-5556-4067-a294-c1d925d9d9b7.png
    - type: text
      key: role_id
      value: "1"
    - type: text
      key: " allowances[0][allowance_type_id]"
      value: 9f039e6f-b667-4c24-85a3-977882deef7f
    - type: text
      key: allowances[0][value]
      value: "1000000"
    - type: text
      key: deductions[0][deduction_type_id]
      value: 049ef280-9695-48e9-aee8-076d5f1f1bcf
    - type: text
      key: deductions[0][value]
      value: "400000"
    - type: text
      key: deductions[0][start_date]
      value: 2025-10-01
      description: nullable
    - type: text
      key: deductions[0][start_date]
      value: 2025-12-31
      description: nullable
    - type: text
      key: salary_structure_id
      value: 82ed2f14-e672-4963-b191-4445a2e0ea2c
      description: nullable
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 6000
